# pylint: disable=too-many-lines
# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    A2AAddDisksInput,
    A2AApplyClusterRecoveryPointInput,
    A2AApplyRecoveryPointInput,
    A2AClusterRecoveryPointDetails,
    A2AClusterTestFailoverInput,
    A2AClusterUnplannedFailoverInput,
    A2AContainerCreationInput,
    A2AContainerMappingInput,
    A2ACreateProtectionIntentInput,
    A2ACrossClusterMigrationApplyRecoveryPointInput,
    A2ACrossClusterMigrationContainerCreationInput,
    A2ACrossClusterMigrationEnableProtectionInput,
    A2ACrossClusterMigrationPolicyCreationInput,
    A2ACrossClusterMigrationReplicationDetails,
    A2AEnableProtectionInput,
    A2AEventDetails,
    A2AExtendedLocationDetails,
    A2AFabricSpecificLocationDetails,
    A2APolicyCreationInput,
    A2APolicyDetails,
    A2AProtectedDiskDetails,
    A2AProtectedItemDetail,
    A2AProtectedManagedDiskDetails,
    A2AProtectionContainerMappingDetails,
    A2AProtectionIntentDiskInputDetails,
    A2AProtectionIntentManagedDiskInputDetails,
    A2ARecoveryPointDetails,
    A2ARemoveDisksInput,
    A2AReplicationDetails,
    A2AReplicationIntentDetails,
    A2AReplicationProtectionClusterDetails,
    A2AReprotectInput,
    A2ASharedDiskIRErrorDetails,
    A2ASharedDiskReplicationDetails,
    A2ASwitchClusterProtectionInput,
    A2ASwitchProtectionInput,
    A2ATestFailoverInput,
    A2AUnplannedFailoverInput,
    A2AUnprotectedDiskDetails,
    A2AUpdateContainerMappingInput,
    A2AUpdateReplicationProtectedItemInput,
    A2AVmDiskInputDetails,
    A2AVmManagedDiskInputDetails,
    A2AVmManagedDiskUpdateDetails,
    A2AZoneDetails,
    ASRTask,
    AddDisksInput,
    AddDisksInputProperties,
    AddDisksProviderSpecificInput,
    AddRecoveryServicesProviderInput,
    AddRecoveryServicesProviderInputProperties,
    AddVCenterRequest,
    AddVCenterRequestProperties,
    AgentDetails,
    AgentDiskDetails,
    Alert,
    AlertCollection,
    AlertProperties,
    ApplianceCollection,
    ApplianceMonitoringDetails,
    ApplianceQueryParameter,
    ApplianceResourceDetails,
    ApplianceSpecificDetails,
    ApplyClusterRecoveryPointInput,
    ApplyClusterRecoveryPointInputProperties,
    ApplyClusterRecoveryPointProviderSpecificInput,
    ApplyRecoveryPointInput,
    ApplyRecoveryPointInputProperties,
    ApplyRecoveryPointProviderSpecificInput,
    AsrJobDetails,
    AutomationRunbookTaskDetails,
    AzureFabricCreationInput,
    AzureFabricSpecificDetails,
    AzureToAzureCreateNetworkMappingInput,
    AzureToAzureNetworkMappingSettings,
    AzureToAzureUpdateNetworkMappingInput,
    AzureToAzureVmSyncedConfigDetails,
    AzureVmDiskDetails,
    ClusterFailoverJobDetails,
    ClusterProviderSpecificRecoveryPointDetails,
    ClusterRecoveryPoint,
    ClusterRecoveryPointCollection,
    ClusterRecoveryPointProperties,
    ClusterSwitchProtectionJobDetails,
    ClusterTestFailoverCleanupInput,
    ClusterTestFailoverCleanupInputProperties,
    ClusterTestFailoverInput,
    ClusterTestFailoverInputProperties,
    ClusterTestFailoverJobDetails,
    ClusterTestFailoverProviderSpecificInput,
    ClusterUnplannedFailoverInput,
    ClusterUnplannedFailoverInputProperties,
    ClusterUnplannedFailoverProviderSpecificInput,
    ComputeSizeErrorDetails,
    ConfigurationSettings,
    ConfigureAlertRequest,
    ConfigureAlertRequestProperties,
    ConsistencyCheckTaskDetails,
    CreateNetworkMappingInput,
    CreateNetworkMappingInputProperties,
    CreatePolicyInput,
    CreatePolicyInputProperties,
    CreateProtectionContainerInput,
    CreateProtectionContainerInputProperties,
    CreateProtectionContainerMappingInput,
    CreateProtectionContainerMappingInputProperties,
    CreateProtectionIntentInput,
    CreateProtectionIntentProperties,
    CreateProtectionIntentProviderSpecificDetails,
    CreateRecoveryPlanInput,
    CreateRecoveryPlanInputProperties,
    CriticalJobHistoryDetails,
    CurrentJobDetails,
    CurrentScenarioDetails,
    DataStore,
    DataStoreUtilizationDetails,
    DisableProtectionInput,
    DisableProtectionInputProperties,
    DisableProtectionProviderSpecificInput,
    DiscoverProtectableItemRequest,
    DiscoverProtectableItemRequestProperties,
    DiskDetails,
    DiskEncryptionInfo,
    DiskEncryptionKeyInfo,
    DiskVolumeDetails,
    Display,
    DraDetails,
    EnableMigrationInput,
    EnableMigrationInputProperties,
    EnableMigrationProviderSpecificInput,
    EnableProtectionInput,
    EnableProtectionInputProperties,
    EnableProtectionProviderSpecificInput,
    EncryptionDetails,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    Event,
    EventCollection,
    EventProperties,
    EventProviderSpecificDetails,
    EventQueryParameter,
    EventSpecificDetails,
    ExistingProtectionProfile,
    ExistingRecoveryAvailabilitySet,
    ExistingRecoveryProximityPlacementGroup,
    ExistingRecoveryResourceGroup,
    ExistingRecoveryVirtualNetwork,
    ExistingStorageAccount,
    ExportJobDetails,
    ExtendedLocation,
    Fabric,
    FabricCollection,
    FabricCreationInput,
    FabricCreationInputProperties,
    FabricProperties,
    FabricQueryParameter,
    FabricReplicationGroupTaskDetails,
    FabricSpecificCreateNetworkMappingInput,
    FabricSpecificCreationInput,
    FabricSpecificDetails,
    FabricSpecificUpdateNetworkMappingInput,
    FailoverJobDetails,
    FailoverProcessServerRequest,
    FailoverProcessServerRequestProperties,
    FailoverReplicationProtectedItemDetails,
    GatewayOperationDetails,
    GroupTaskDetails,
    HealthError,
    HealthErrorSummary,
    HyperVHostDetails,
    HyperVReplica2012EventDetails,
    HyperVReplica2012R2EventDetails,
    HyperVReplicaAzureApplyRecoveryPointInput,
    HyperVReplicaAzureDiskInputDetails,
    HyperVReplicaAzureEnableProtectionInput,
    HyperVReplicaAzureEventDetails,
    HyperVReplicaAzureFailbackProviderInput,
    HyperVReplicaAzureManagedDiskDetails,
    HyperVReplicaAzurePlannedFailoverProviderInput,
    HyperVReplicaAzurePolicyDetails,
    HyperVReplicaAzurePolicyInput,
    HyperVReplicaAzureReplicationDetails,
    HyperVReplicaAzureReprotectInput,
    HyperVReplicaAzureTestFailoverInput,
    HyperVReplicaAzureUnplannedFailoverInput,
    HyperVReplicaAzureUpdateReplicationProtectedItemInput,
    HyperVReplicaBaseEventDetails,
    HyperVReplicaBasePolicyDetails,
    HyperVReplicaBaseReplicationDetails,
    HyperVReplicaBluePolicyDetails,
    HyperVReplicaBluePolicyInput,
    HyperVReplicaBlueReplicationDetails,
    HyperVReplicaPolicyDetails,
    HyperVReplicaPolicyInput,
    HyperVReplicaReplicationDetails,
    HyperVSiteDetails,
    HyperVVirtualMachineDetails,
    IPConfigDetails,
    IPConfigInputDetails,
    IdentityProviderDetails,
    IdentityProviderInput,
    InMageAgentDetails,
    InMageAzureV2ApplyRecoveryPointInput,
    InMageAzureV2DiskInputDetails,
    InMageAzureV2EnableProtectionInput,
    InMageAzureV2EventDetails,
    InMageAzureV2ManagedDiskDetails,
    InMageAzureV2PolicyDetails,
    InMageAzureV2PolicyInput,
    InMageAzureV2ProtectedDiskDetails,
    InMageAzureV2RecoveryPointDetails,
    InMageAzureV2ReplicationDetails,
    InMageAzureV2ReprotectInput,
    InMageAzureV2SwitchProviderBlockingErrorDetails,
    InMageAzureV2SwitchProviderDetails,
    InMageAzureV2SwitchProviderInput,
    InMageAzureV2TestFailoverInput,
    InMageAzureV2UnplannedFailoverInput,
    InMageAzureV2UpdateReplicationProtectedItemInput,
    InMageBasePolicyDetails,
    InMageDisableProtectionProviderSpecificInput,
    InMageDiskDetails,
    InMageDiskExclusionInput,
    InMageDiskSignatureExclusionOptions,
    InMageEnableProtectionInput,
    InMageFabricSwitchProviderBlockingErrorDetails,
    InMagePolicyDetails,
    InMagePolicyInput,
    InMageProtectedDiskDetails,
    InMageRcmAddDisksInput,
    InMageRcmAgentUpgradeBlockingErrorDetails,
    InMageRcmApplianceDetails,
    InMageRcmApplianceSpecificDetails,
    InMageRcmApplyRecoveryPointInput,
    InMageRcmDiscoveredProtectedVmDetails,
    InMageRcmDiskInput,
    InMageRcmDisksDefaultInput,
    InMageRcmEnableProtectionInput,
    InMageRcmEventDetails,
    InMageRcmFabricCreationInput,
    InMageRcmFabricSpecificDetails,
    InMageRcmFabricSwitchProviderBlockingErrorDetails,
    InMageRcmFailbackDiscoveredProtectedVmDetails,
    InMageRcmFailbackEventDetails,
    InMageRcmFailbackMobilityAgentDetails,
    InMageRcmFailbackNicDetails,
    InMageRcmFailbackPlannedFailoverProviderInput,
    InMageRcmFailbackPolicyCreationInput,
    InMageRcmFailbackPolicyDetails,
    InMageRcmFailbackProtectedDiskDetails,
    InMageRcmFailbackReplicationDetails,
    InMageRcmFailbackReprotectInput,
    InMageRcmFailbackSyncDetails,
    InMageRcmLastAgentUpgradeErrorDetails,
    InMageRcmMobilityAgentDetails,
    InMageRcmNicDetails,
    InMageRcmNicInput,
    InMageRcmPolicyCreationInput,
    InMageRcmPolicyDetails,
    InMageRcmProtectedDiskDetails,
    InMageRcmProtectionContainerMappingDetails,
    InMageRcmRecoveryPointDetails,
    InMageRcmReplicationDetails,
    InMageRcmReprotectInput,
    InMageRcmSyncDetails,
    InMageRcmTestFailoverInput,
    InMageRcmUnProtectedDiskDetails,
    InMageRcmUnplannedFailoverInput,
    InMageRcmUpdateApplianceForReplicationProtectedItemInput,
    InMageRcmUpdateContainerMappingInput,
    InMageRcmUpdateReplicationProtectedItemInput,
    InMageReplicationDetails,
    InMageReprotectInput,
    InMageTestFailoverInput,
    InMageUnplannedFailoverInput,
    InMageVolumeExclusionOptions,
    InconsistentVmDetails,
    InitialReplicationDetails,
    InlineWorkflowTaskDetails,
    InnerHealthError,
    InputEndpoint,
    Job,
    JobCollection,
    JobDetails,
    JobEntity,
    JobErrorDetails,
    JobProperties,
    JobQueryParameter,
    JobStatusEventDetails,
    JobTaskDetails,
    KeyEncryptionKeyInfo,
    LogicalNetwork,
    LogicalNetworkCollection,
    LogicalNetworkProperties,
    ManagedRunCommandScriptInput,
    ManualActionTaskDetails,
    MarsAgentDetails,
    MasterTargetServer,
    MigrateInput,
    MigrateInputProperties,
    MigrateProviderSpecificInput,
    MigrationItem,
    MigrationItemCollection,
    MigrationItemProperties,
    MigrationItemsQueryParameter,
    MigrationProviderSpecificSettings,
    MigrationRecoveryPoint,
    MigrationRecoveryPointCollection,
    MigrationRecoveryPointProperties,
    MobilityServiceUpdate,
    Network,
    NetworkCollection,
    NetworkMapping,
    NetworkMappingCollection,
    NetworkMappingFabricSpecificSettings,
    NetworkMappingProperties,
    NetworkProperties,
    NewProtectionProfile,
    NewRecoveryVirtualNetwork,
    OSDetails,
    OSDiskDetails,
    OSUpgradeSupportedVersions,
    OSVersionWrapper,
    OperationsDiscovery,
    OperationsDiscoveryCollection,
    PauseReplicationInput,
    PauseReplicationInputProperties,
    PlannedFailoverInput,
    PlannedFailoverInputProperties,
    PlannedFailoverProviderSpecificFailoverInput,
    Policy,
    PolicyCollection,
    PolicyProperties,
    PolicyProviderSpecificDetails,
    PolicyProviderSpecificInput,
    ProcessServer,
    ProcessServerDetails,
    ProtectableItem,
    ProtectableItemCollection,
    ProtectableItemProperties,
    ProtectableItemQueryParameter,
    ProtectedClustersQueryParameter,
    ProtectedItemsQueryParameter,
    ProtectionContainer,
    ProtectionContainerCollection,
    ProtectionContainerFabricSpecificDetails,
    ProtectionContainerMapping,
    ProtectionContainerMappingCollection,
    ProtectionContainerMappingProperties,
    ProtectionContainerMappingProviderSpecificDetails,
    ProtectionContainerProperties,
    ProtectionProfileCustomDetails,
    ProviderError,
    ProviderSpecificRecoveryPointDetails,
    PushInstallerDetails,
    RcmProxyDetails,
    RecoveryAvailabilitySetCustomDetails,
    RecoveryPlan,
    RecoveryPlanA2ADetails,
    RecoveryPlanA2AFailoverInput,
    RecoveryPlanA2AInput,
    RecoveryPlanAction,
    RecoveryPlanActionDetails,
    RecoveryPlanAutomationRunbookActionDetails,
    RecoveryPlanCollection,
    RecoveryPlanGroup,
    RecoveryPlanGroupTaskDetails,
    RecoveryPlanHyperVReplicaAzureFailbackInput,
    RecoveryPlanHyperVReplicaAzureFailoverInput,
    RecoveryPlanInMageAzureV2FailoverInput,
    RecoveryPlanInMageFailoverInput,
    RecoveryPlanInMageRcmFailbackFailoverInput,
    RecoveryPlanInMageRcmFailoverInput,
    RecoveryPlanManualActionDetails,
    RecoveryPlanPlannedFailoverInput,
    RecoveryPlanPlannedFailoverInputProperties,
    RecoveryPlanProperties,
    RecoveryPlanProtectedItem,
    RecoveryPlanProviderSpecificDetails,
    RecoveryPlanProviderSpecificFailoverInput,
    RecoveryPlanProviderSpecificInput,
    RecoveryPlanScriptActionDetails,
    RecoveryPlanShutdownGroupTaskDetails,
    RecoveryPlanTestFailoverCleanupInput,
    RecoveryPlanTestFailoverCleanupInputProperties,
    RecoveryPlanTestFailoverInput,
    RecoveryPlanTestFailoverInputProperties,
    RecoveryPlanUnplannedFailoverInput,
    RecoveryPlanUnplannedFailoverInputProperties,
    RecoveryPoint,
    RecoveryPointCollection,
    RecoveryPointProperties,
    RecoveryProximityPlacementGroupCustomDetails,
    RecoveryResourceGroupCustomDetails,
    RecoveryServicesProvider,
    RecoveryServicesProviderCollection,
    RecoveryServicesProviderProperties,
    RecoveryVirtualNetworkCustomDetails,
    RegisteredClusterNodes,
    RemoveDisksInput,
    RemoveDisksInputProperties,
    RemoveDisksProviderSpecificInput,
    RemoveProtectionContainerMappingInput,
    RemoveProtectionContainerMappingInputProperties,
    RenewCertificateInput,
    RenewCertificateInputProperties,
    ReplicationAgentDetails,
    ReplicationAppliance,
    ReplicationApplianceProperties,
    ReplicationClusterProviderSpecificSettings,
    ReplicationEligibilityResults,
    ReplicationEligibilityResultsCollection,
    ReplicationEligibilityResultsErrorInfo,
    ReplicationEligibilityResultsProperties,
    ReplicationGroupDetails,
    ReplicationProtectedItem,
    ReplicationProtectedItemCollection,
    ReplicationProtectedItemProperties,
    ReplicationProtectionCluster,
    ReplicationProtectionClusterCollection,
    ReplicationProtectionClusterProperties,
    ReplicationProtectionIntent,
    ReplicationProtectionIntentCollection,
    ReplicationProtectionIntentProperties,
    ReplicationProtectionIntentProviderSpecificSettings,
    ReplicationProviderContainerUnmappingInput,
    ReplicationProviderSpecificContainerCreationInput,
    ReplicationProviderSpecificContainerMappingInput,
    ReplicationProviderSpecificSettings,
    ReplicationProviderSpecificUpdateContainerMappingInput,
    ReprotectAgentDetails,
    ResolveHealthError,
    ResolveHealthInput,
    ResolveHealthInputProperties,
    Resource,
    ResourceHealthSummary,
    ResumeJobParams,
    ResumeJobParamsProperties,
    ResumeReplicationInput,
    ResumeReplicationInputProperties,
    ResumeReplicationProviderSpecificInput,
    ResyncInput,
    ResyncInputProperties,
    ResyncProviderSpecificInput,
    RetentionVolume,
    ReverseReplicationInput,
    ReverseReplicationInputProperties,
    ReverseReplicationProviderSpecificInput,
    RoleAssignment,
    RunAsAccount,
    ScriptActionTaskDetails,
    SecurityProfileProperties,
    ServiceError,
    SharedDiskReplicationItemProperties,
    SharedDiskReplicationProviderSpecificSettings,
    StorageAccountCustomDetails,
    StorageClassification,
    StorageClassificationCollection,
    StorageClassificationMapping,
    StorageClassificationMappingCollection,
    StorageClassificationMappingInput,
    StorageClassificationMappingProperties,
    StorageClassificationProperties,
    StorageMappingInputProperties,
    Subnet,
    SupportedOSDetails,
    SupportedOSProperties,
    SupportedOSProperty,
    SupportedOperatingSystems,
    SwitchClusterProtectionInput,
    SwitchClusterProtectionInputProperties,
    SwitchClusterProtectionProviderSpecificInput,
    SwitchProtectionInput,
    SwitchProtectionInputProperties,
    SwitchProtectionJobDetails,
    SwitchProtectionProviderSpecificInput,
    SwitchProviderInput,
    SwitchProviderInputProperties,
    SwitchProviderSpecificInput,
    TargetComputeSize,
    TargetComputeSizeCollection,
    TargetComputeSizeProperties,
    TaskTypeDetails,
    TestFailoverCleanupInput,
    TestFailoverCleanupInputProperties,
    TestFailoverInput,
    TestFailoverInputProperties,
    TestFailoverJobDetails,
    TestFailoverProviderSpecificInput,
    TestMigrateCleanupInput,
    TestMigrateCleanupInputProperties,
    TestMigrateInput,
    TestMigrateInputProperties,
    TestMigrateProviderSpecificInput,
    UnplannedFailoverInput,
    UnplannedFailoverInputProperties,
    UnplannedFailoverProviderSpecificInput,
    UpdateApplianceForReplicationProtectedItemInput,
    UpdateApplianceForReplicationProtectedItemInputProperties,
    UpdateApplianceForReplicationProtectedItemProviderSpecificInput,
    UpdateDiskInput,
    UpdateMigrationItemInput,
    UpdateMigrationItemInputProperties,
    UpdateMigrationItemProviderSpecificInput,
    UpdateMobilityServiceRequest,
    UpdateMobilityServiceRequestProperties,
    UpdateNetworkMappingInput,
    UpdateNetworkMappingInputProperties,
    UpdatePolicyInput,
    UpdatePolicyInputProperties,
    UpdateProtectionContainerMappingInput,
    UpdateProtectionContainerMappingInputProperties,
    UpdateRecoveryPlanInput,
    UpdateRecoveryPlanInputProperties,
    UpdateReplicationProtectedItemInput,
    UpdateReplicationProtectedItemInputProperties,
    UpdateReplicationProtectedItemProviderInput,
    UpdateVCenterRequest,
    UpdateVCenterRequestProperties,
    UserCreatedResourceTag,
    VCenter,
    VCenterCollection,
    VCenterProperties,
    VMNicDetails,
    VMNicInputDetails,
    VMwareCbtContainerCreationInput,
    VMwareCbtContainerMappingInput,
    VMwareCbtDiskInput,
    VMwareCbtEnableMigrationInput,
    VMwareCbtEventDetails,
    VMwareCbtMigrateInput,
    VMwareCbtMigrationDetails,
    VMwareCbtNicDetails,
    VMwareCbtNicInput,
    VMwareCbtPolicyCreationInput,
    VMwareCbtProtectedDiskDetails,
    VMwareCbtProtectionContainerMappingDetails,
    VMwareCbtResumeReplicationInput,
    VMwareCbtResyncInput,
    VMwareCbtSecurityProfileProperties,
    VMwareCbtTestMigrateInput,
    VMwareCbtUpdateDiskInput,
    VMwareCbtUpdateMigrationItemInput,
    VMwareDetails,
    VMwareV2FabricCreationInput,
    VMwareV2FabricSpecificDetails,
    VMwareVirtualMachineDetails,
    VaultHealthDetails,
    VaultHealthProperties,
    VaultSetting,
    VaultSettingCollection,
    VaultSettingCreationInput,
    VaultSettingCreationInputProperties,
    VaultSettingProperties,
    VersionDetails,
    VirtualMachineTaskDetails,
    VmNicUpdatesTaskDetails,
    VmmDetails,
    VmmToAzureCreateNetworkMappingInput,
    VmmToAzureNetworkMappingSettings,
    VmmToAzureUpdateNetworkMappingInput,
    VmmToVmmCreateNetworkMappingInput,
    VmmToVmmNetworkMappingSettings,
    VmmToVmmUpdateNetworkMappingInput,
    VmmVirtualMachineDetails,
    VmwareCbtPolicyDetails,
)

from ._site_recovery_management_client_enums import (  # type: ignore
    A2ARecoveryAvailabilityType,
    A2ARpRecoveryPointType,
    AgentAutoUpdateStatus,
    AgentUpgradeBlockedReason,
    AgentVersionStatus,
    AlternateLocationRecoveryOption,
    AutoProtectionOfDataDisk,
    AutomationAccountAuthenticationType,
    ChurnOptionSelected,
    ClusterRecoveryPointType,
    DataSyncStatus,
    DisableProtectionReason,
    DiskAccountType,
    DiskReplicationProgressHealth,
    DiskState,
    EthernetAddressType,
    ExportJobOutputSerializationType,
    ExtendedLocationType,
    FailoverDeploymentModel,
    FailoverDirection,
    HealthErrorCategory,
    HealthErrorCustomerResolvability,
    HyperVReplicaAzureRpRecoveryPointType,
    InMageRcmFailbackRecoveryPointType,
    InMageV2RpRecoveryPointType,
    LicenseType,
    LinuxLicenseType,
    MigrationItemOperation,
    MigrationRecoveryPointType,
    MigrationState,
    MobilityAgentUpgradeState,
    MultiVmGroupCreateOption,
    MultiVmSyncPointOption,
    PlannedFailoverStatus,
    PossibleOperationsDirections,
    PresenceStatus,
    ProtectionHealth,
    RcmComponentStatus,
    RecoveryPlanActionLocation,
    RecoveryPlanGroupType,
    RecoveryPlanPointType,
    RecoveryPointSyncType,
    RecoveryPointType,
    ReplicationProtectedItemOperation,
    ResyncState,
    RpInMageRecoveryPointType,
    SecurityConfiguration,
    SecurityType,
    SetMultiVmSyncStatus,
    Severity,
    SourceSiteOperations,
    SqlServerLicenseType,
    TestMigrationState,
    VmEncryptionType,
    VmReplicationProgressHealth,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "A2AAddDisksInput",
    "A2AApplyClusterRecoveryPointInput",
    "A2AApplyRecoveryPointInput",
    "A2AClusterRecoveryPointDetails",
    "A2AClusterTestFailoverInput",
    "A2AClusterUnplannedFailoverInput",
    "A2AContainerCreationInput",
    "A2AContainerMappingInput",
    "A2ACreateProtectionIntentInput",
    "A2ACrossClusterMigrationApplyRecoveryPointInput",
    "A2ACrossClusterMigrationContainerCreationInput",
    "A2ACrossClusterMigrationEnableProtectionInput",
    "A2ACrossClusterMigrationPolicyCreationInput",
    "A2ACrossClusterMigrationReplicationDetails",
    "A2AEnableProtectionInput",
    "A2AEventDetails",
    "A2AExtendedLocationDetails",
    "A2AFabricSpecificLocationDetails",
    "A2APolicyCreationInput",
    "A2APolicyDetails",
    "A2AProtectedDiskDetails",
    "A2AProtectedItemDetail",
    "A2AProtectedManagedDiskDetails",
    "A2AProtectionContainerMappingDetails",
    "A2AProtectionIntentDiskInputDetails",
    "A2AProtectionIntentManagedDiskInputDetails",
    "A2ARecoveryPointDetails",
    "A2ARemoveDisksInput",
    "A2AReplicationDetails",
    "A2AReplicationIntentDetails",
    "A2AReplicationProtectionClusterDetails",
    "A2AReprotectInput",
    "A2ASharedDiskIRErrorDetails",
    "A2ASharedDiskReplicationDetails",
    "A2ASwitchClusterProtectionInput",
    "A2ASwitchProtectionInput",
    "A2ATestFailoverInput",
    "A2AUnplannedFailoverInput",
    "A2AUnprotectedDiskDetails",
    "A2AUpdateContainerMappingInput",
    "A2AUpdateReplicationProtectedItemInput",
    "A2AVmDiskInputDetails",
    "A2AVmManagedDiskInputDetails",
    "A2AVmManagedDiskUpdateDetails",
    "A2AZoneDetails",
    "ASRTask",
    "AddDisksInput",
    "AddDisksInputProperties",
    "AddDisksProviderSpecificInput",
    "AddRecoveryServicesProviderInput",
    "AddRecoveryServicesProviderInputProperties",
    "AddVCenterRequest",
    "AddVCenterRequestProperties",
    "AgentDetails",
    "AgentDiskDetails",
    "Alert",
    "AlertCollection",
    "AlertProperties",
    "ApplianceCollection",
    "ApplianceMonitoringDetails",
    "ApplianceQueryParameter",
    "ApplianceResourceDetails",
    "ApplianceSpecificDetails",
    "ApplyClusterRecoveryPointInput",
    "ApplyClusterRecoveryPointInputProperties",
    "ApplyClusterRecoveryPointProviderSpecificInput",
    "ApplyRecoveryPointInput",
    "ApplyRecoveryPointInputProperties",
    "ApplyRecoveryPointProviderSpecificInput",
    "AsrJobDetails",
    "AutomationRunbookTaskDetails",
    "AzureFabricCreationInput",
    "AzureFabricSpecificDetails",
    "AzureToAzureCreateNetworkMappingInput",
    "AzureToAzureNetworkMappingSettings",
    "AzureToAzureUpdateNetworkMappingInput",
    "AzureToAzureVmSyncedConfigDetails",
    "AzureVmDiskDetails",
    "ClusterFailoverJobDetails",
    "ClusterProviderSpecificRecoveryPointDetails",
    "ClusterRecoveryPoint",
    "ClusterRecoveryPointCollection",
    "ClusterRecoveryPointProperties",
    "ClusterSwitchProtectionJobDetails",
    "ClusterTestFailoverCleanupInput",
    "ClusterTestFailoverCleanupInputProperties",
    "ClusterTestFailoverInput",
    "ClusterTestFailoverInputProperties",
    "ClusterTestFailoverJobDetails",
    "ClusterTestFailoverProviderSpecificInput",
    "ClusterUnplannedFailoverInput",
    "ClusterUnplannedFailoverInputProperties",
    "ClusterUnplannedFailoverProviderSpecificInput",
    "ComputeSizeErrorDetails",
    "ConfigurationSettings",
    "ConfigureAlertRequest",
    "ConfigureAlertRequestProperties",
    "ConsistencyCheckTaskDetails",
    "CreateNetworkMappingInput",
    "CreateNetworkMappingInputProperties",
    "CreatePolicyInput",
    "CreatePolicyInputProperties",
    "CreateProtectionContainerInput",
    "CreateProtectionContainerInputProperties",
    "CreateProtectionContainerMappingInput",
    "CreateProtectionContainerMappingInputProperties",
    "CreateProtectionIntentInput",
    "CreateProtectionIntentProperties",
    "CreateProtectionIntentProviderSpecificDetails",
    "CreateRecoveryPlanInput",
    "CreateRecoveryPlanInputProperties",
    "CriticalJobHistoryDetails",
    "CurrentJobDetails",
    "CurrentScenarioDetails",
    "DataStore",
    "DataStoreUtilizationDetails",
    "DisableProtectionInput",
    "DisableProtectionInputProperties",
    "DisableProtectionProviderSpecificInput",
    "DiscoverProtectableItemRequest",
    "DiscoverProtectableItemRequestProperties",
    "DiskDetails",
    "DiskEncryptionInfo",
    "DiskEncryptionKeyInfo",
    "DiskVolumeDetails",
    "Display",
    "DraDetails",
    "EnableMigrationInput",
    "EnableMigrationInputProperties",
    "EnableMigrationProviderSpecificInput",
    "EnableProtectionInput",
    "EnableProtectionInputProperties",
    "EnableProtectionProviderSpecificInput",
    "EncryptionDetails",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "Event",
    "EventCollection",
    "EventProperties",
    "EventProviderSpecificDetails",
    "EventQueryParameter",
    "EventSpecificDetails",
    "ExistingProtectionProfile",
    "ExistingRecoveryAvailabilitySet",
    "ExistingRecoveryProximityPlacementGroup",
    "ExistingRecoveryResourceGroup",
    "ExistingRecoveryVirtualNetwork",
    "ExistingStorageAccount",
    "ExportJobDetails",
    "ExtendedLocation",
    "Fabric",
    "FabricCollection",
    "FabricCreationInput",
    "FabricCreationInputProperties",
    "FabricProperties",
    "FabricQueryParameter",
    "FabricReplicationGroupTaskDetails",
    "FabricSpecificCreateNetworkMappingInput",
    "FabricSpecificCreationInput",
    "FabricSpecificDetails",
    "FabricSpecificUpdateNetworkMappingInput",
    "FailoverJobDetails",
    "FailoverProcessServerRequest",
    "FailoverProcessServerRequestProperties",
    "FailoverReplicationProtectedItemDetails",
    "GatewayOperationDetails",
    "GroupTaskDetails",
    "HealthError",
    "HealthErrorSummary",
    "HyperVHostDetails",
    "HyperVReplica2012EventDetails",
    "HyperVReplica2012R2EventDetails",
    "HyperVReplicaAzureApplyRecoveryPointInput",
    "HyperVReplicaAzureDiskInputDetails",
    "HyperVReplicaAzureEnableProtectionInput",
    "HyperVReplicaAzureEventDetails",
    "HyperVReplicaAzureFailbackProviderInput",
    "HyperVReplicaAzureManagedDiskDetails",
    "HyperVReplicaAzurePlannedFailoverProviderInput",
    "HyperVReplicaAzurePolicyDetails",
    "HyperVReplicaAzurePolicyInput",
    "HyperVReplicaAzureReplicationDetails",
    "HyperVReplicaAzureReprotectInput",
    "HyperVReplicaAzureTestFailoverInput",
    "HyperVReplicaAzureUnplannedFailoverInput",
    "HyperVReplicaAzureUpdateReplicationProtectedItemInput",
    "HyperVReplicaBaseEventDetails",
    "HyperVReplicaBasePolicyDetails",
    "HyperVReplicaBaseReplicationDetails",
    "HyperVReplicaBluePolicyDetails",
    "HyperVReplicaBluePolicyInput",
    "HyperVReplicaBlueReplicationDetails",
    "HyperVReplicaPolicyDetails",
    "HyperVReplicaPolicyInput",
    "HyperVReplicaReplicationDetails",
    "HyperVSiteDetails",
    "HyperVVirtualMachineDetails",
    "IPConfigDetails",
    "IPConfigInputDetails",
    "IdentityProviderDetails",
    "IdentityProviderInput",
    "InMageAgentDetails",
    "InMageAzureV2ApplyRecoveryPointInput",
    "InMageAzureV2DiskInputDetails",
    "InMageAzureV2EnableProtectionInput",
    "InMageAzureV2EventDetails",
    "InMageAzureV2ManagedDiskDetails",
    "InMageAzureV2PolicyDetails",
    "InMageAzureV2PolicyInput",
    "InMageAzureV2ProtectedDiskDetails",
    "InMageAzureV2RecoveryPointDetails",
    "InMageAzureV2ReplicationDetails",
    "InMageAzureV2ReprotectInput",
    "InMageAzureV2SwitchProviderBlockingErrorDetails",
    "InMageAzureV2SwitchProviderDetails",
    "InMageAzureV2SwitchProviderInput",
    "InMageAzureV2TestFailoverInput",
    "InMageAzureV2UnplannedFailoverInput",
    "InMageAzureV2UpdateReplicationProtectedItemInput",
    "InMageBasePolicyDetails",
    "InMageDisableProtectionProviderSpecificInput",
    "InMageDiskDetails",
    "InMageDiskExclusionInput",
    "InMageDiskSignatureExclusionOptions",
    "InMageEnableProtectionInput",
    "InMageFabricSwitchProviderBlockingErrorDetails",
    "InMagePolicyDetails",
    "InMagePolicyInput",
    "InMageProtectedDiskDetails",
    "InMageRcmAddDisksInput",
    "InMageRcmAgentUpgradeBlockingErrorDetails",
    "InMageRcmApplianceDetails",
    "InMageRcmApplianceSpecificDetails",
    "InMageRcmApplyRecoveryPointInput",
    "InMageRcmDiscoveredProtectedVmDetails",
    "InMageRcmDiskInput",
    "InMageRcmDisksDefaultInput",
    "InMageRcmEnableProtectionInput",
    "InMageRcmEventDetails",
    "InMageRcmFabricCreationInput",
    "InMageRcmFabricSpecificDetails",
    "InMageRcmFabricSwitchProviderBlockingErrorDetails",
    "InMageRcmFailbackDiscoveredProtectedVmDetails",
    "InMageRcmFailbackEventDetails",
    "InMageRcmFailbackMobilityAgentDetails",
    "InMageRcmFailbackNicDetails",
    "InMageRcmFailbackPlannedFailoverProviderInput",
    "InMageRcmFailbackPolicyCreationInput",
    "InMageRcmFailbackPolicyDetails",
    "InMageRcmFailbackProtectedDiskDetails",
    "InMageRcmFailbackReplicationDetails",
    "InMageRcmFailbackReprotectInput",
    "InMageRcmFailbackSyncDetails",
    "InMageRcmLastAgentUpgradeErrorDetails",
    "InMageRcmMobilityAgentDetails",
    "InMageRcmNicDetails",
    "InMageRcmNicInput",
    "InMageRcmPolicyCreationInput",
    "InMageRcmPolicyDetails",
    "InMageRcmProtectedDiskDetails",
    "InMageRcmProtectionContainerMappingDetails",
    "InMageRcmRecoveryPointDetails",
    "InMageRcmReplicationDetails",
    "InMageRcmReprotectInput",
    "InMageRcmSyncDetails",
    "InMageRcmTestFailoverInput",
    "InMageRcmUnProtectedDiskDetails",
    "InMageRcmUnplannedFailoverInput",
    "InMageRcmUpdateApplianceForReplicationProtectedItemInput",
    "InMageRcmUpdateContainerMappingInput",
    "InMageRcmUpdateReplicationProtectedItemInput",
    "InMageReplicationDetails",
    "InMageReprotectInput",
    "InMageTestFailoverInput",
    "InMageUnplannedFailoverInput",
    "InMageVolumeExclusionOptions",
    "InconsistentVmDetails",
    "InitialReplicationDetails",
    "InlineWorkflowTaskDetails",
    "InnerHealthError",
    "InputEndpoint",
    "Job",
    "JobCollection",
    "JobDetails",
    "JobEntity",
    "JobErrorDetails",
    "JobProperties",
    "JobQueryParameter",
    "JobStatusEventDetails",
    "JobTaskDetails",
    "KeyEncryptionKeyInfo",
    "LogicalNetwork",
    "LogicalNetworkCollection",
    "LogicalNetworkProperties",
    "ManagedRunCommandScriptInput",
    "ManualActionTaskDetails",
    "MarsAgentDetails",
    "MasterTargetServer",
    "MigrateInput",
    "MigrateInputProperties",
    "MigrateProviderSpecificInput",
    "MigrationItem",
    "MigrationItemCollection",
    "MigrationItemProperties",
    "MigrationItemsQueryParameter",
    "MigrationProviderSpecificSettings",
    "MigrationRecoveryPoint",
    "MigrationRecoveryPointCollection",
    "MigrationRecoveryPointProperties",
    "MobilityServiceUpdate",
    "Network",
    "NetworkCollection",
    "NetworkMapping",
    "NetworkMappingCollection",
    "NetworkMappingFabricSpecificSettings",
    "NetworkMappingProperties",
    "NetworkProperties",
    "NewProtectionProfile",
    "NewRecoveryVirtualNetwork",
    "OSDetails",
    "OSDiskDetails",
    "OSUpgradeSupportedVersions",
    "OSVersionWrapper",
    "OperationsDiscovery",
    "OperationsDiscoveryCollection",
    "PauseReplicationInput",
    "PauseReplicationInputProperties",
    "PlannedFailoverInput",
    "PlannedFailoverInputProperties",
    "PlannedFailoverProviderSpecificFailoverInput",
    "Policy",
    "PolicyCollection",
    "PolicyProperties",
    "PolicyProviderSpecificDetails",
    "PolicyProviderSpecificInput",
    "ProcessServer",
    "ProcessServerDetails",
    "ProtectableItem",
    "ProtectableItemCollection",
    "ProtectableItemProperties",
    "ProtectableItemQueryParameter",
    "ProtectedClustersQueryParameter",
    "ProtectedItemsQueryParameter",
    "ProtectionContainer",
    "ProtectionContainerCollection",
    "ProtectionContainerFabricSpecificDetails",
    "ProtectionContainerMapping",
    "ProtectionContainerMappingCollection",
    "ProtectionContainerMappingProperties",
    "ProtectionContainerMappingProviderSpecificDetails",
    "ProtectionContainerProperties",
    "ProtectionProfileCustomDetails",
    "ProviderError",
    "ProviderSpecificRecoveryPointDetails",
    "PushInstallerDetails",
    "RcmProxyDetails",
    "RecoveryAvailabilitySetCustomDetails",
    "RecoveryPlan",
    "RecoveryPlanA2ADetails",
    "RecoveryPlanA2AFailoverInput",
    "RecoveryPlanA2AInput",
    "RecoveryPlanAction",
    "RecoveryPlanActionDetails",
    "RecoveryPlanAutomationRunbookActionDetails",
    "RecoveryPlanCollection",
    "RecoveryPlanGroup",
    "RecoveryPlanGroupTaskDetails",
    "RecoveryPlanHyperVReplicaAzureFailbackInput",
    "RecoveryPlanHyperVReplicaAzureFailoverInput",
    "RecoveryPlanInMageAzureV2FailoverInput",
    "RecoveryPlanInMageFailoverInput",
    "RecoveryPlanInMageRcmFailbackFailoverInput",
    "RecoveryPlanInMageRcmFailoverInput",
    "RecoveryPlanManualActionDetails",
    "RecoveryPlanPlannedFailoverInput",
    "RecoveryPlanPlannedFailoverInputProperties",
    "RecoveryPlanProperties",
    "RecoveryPlanProtectedItem",
    "RecoveryPlanProviderSpecificDetails",
    "RecoveryPlanProviderSpecificFailoverInput",
    "RecoveryPlanProviderSpecificInput",
    "RecoveryPlanScriptActionDetails",
    "RecoveryPlanShutdownGroupTaskDetails",
    "RecoveryPlanTestFailoverCleanupInput",
    "RecoveryPlanTestFailoverCleanupInputProperties",
    "RecoveryPlanTestFailoverInput",
    "RecoveryPlanTestFailoverInputProperties",
    "RecoveryPlanUnplannedFailoverInput",
    "RecoveryPlanUnplannedFailoverInputProperties",
    "RecoveryPoint",
    "RecoveryPointCollection",
    "RecoveryPointProperties",
    "RecoveryProximityPlacementGroupCustomDetails",
    "RecoveryResourceGroupCustomDetails",
    "RecoveryServicesProvider",
    "RecoveryServicesProviderCollection",
    "RecoveryServicesProviderProperties",
    "RecoveryVirtualNetworkCustomDetails",
    "RegisteredClusterNodes",
    "RemoveDisksInput",
    "RemoveDisksInputProperties",
    "RemoveDisksProviderSpecificInput",
    "RemoveProtectionContainerMappingInput",
    "RemoveProtectionContainerMappingInputProperties",
    "RenewCertificateInput",
    "RenewCertificateInputProperties",
    "ReplicationAgentDetails",
    "ReplicationAppliance",
    "ReplicationApplianceProperties",
    "ReplicationClusterProviderSpecificSettings",
    "ReplicationEligibilityResults",
    "ReplicationEligibilityResultsCollection",
    "ReplicationEligibilityResultsErrorInfo",
    "ReplicationEligibilityResultsProperties",
    "ReplicationGroupDetails",
    "ReplicationProtectedItem",
    "ReplicationProtectedItemCollection",
    "ReplicationProtectedItemProperties",
    "ReplicationProtectionCluster",
    "ReplicationProtectionClusterCollection",
    "ReplicationProtectionClusterProperties",
    "ReplicationProtectionIntent",
    "ReplicationProtectionIntentCollection",
    "ReplicationProtectionIntentProperties",
    "ReplicationProtectionIntentProviderSpecificSettings",
    "ReplicationProviderContainerUnmappingInput",
    "ReplicationProviderSpecificContainerCreationInput",
    "ReplicationProviderSpecificContainerMappingInput",
    "ReplicationProviderSpecificSettings",
    "ReplicationProviderSpecificUpdateContainerMappingInput",
    "ReprotectAgentDetails",
    "ResolveHealthError",
    "ResolveHealthInput",
    "ResolveHealthInputProperties",
    "Resource",
    "ResourceHealthSummary",
    "ResumeJobParams",
    "ResumeJobParamsProperties",
    "ResumeReplicationInput",
    "ResumeReplicationInputProperties",
    "ResumeReplicationProviderSpecificInput",
    "ResyncInput",
    "ResyncInputProperties",
    "ResyncProviderSpecificInput",
    "RetentionVolume",
    "ReverseReplicationInput",
    "ReverseReplicationInputProperties",
    "ReverseReplicationProviderSpecificInput",
    "RoleAssignment",
    "RunAsAccount",
    "ScriptActionTaskDetails",
    "SecurityProfileProperties",
    "ServiceError",
    "SharedDiskReplicationItemProperties",
    "SharedDiskReplicationProviderSpecificSettings",
    "StorageAccountCustomDetails",
    "StorageClassification",
    "StorageClassificationCollection",
    "StorageClassificationMapping",
    "StorageClassificationMappingCollection",
    "StorageClassificationMappingInput",
    "StorageClassificationMappingProperties",
    "StorageClassificationProperties",
    "StorageMappingInputProperties",
    "Subnet",
    "SupportedOSDetails",
    "SupportedOSProperties",
    "SupportedOSProperty",
    "SupportedOperatingSystems",
    "SwitchClusterProtectionInput",
    "SwitchClusterProtectionInputProperties",
    "SwitchClusterProtectionProviderSpecificInput",
    "SwitchProtectionInput",
    "SwitchProtectionInputProperties",
    "SwitchProtectionJobDetails",
    "SwitchProtectionProviderSpecificInput",
    "SwitchProviderInput",
    "SwitchProviderInputProperties",
    "SwitchProviderSpecificInput",
    "TargetComputeSize",
    "TargetComputeSizeCollection",
    "TargetComputeSizeProperties",
    "TaskTypeDetails",
    "TestFailoverCleanupInput",
    "TestFailoverCleanupInputProperties",
    "TestFailoverInput",
    "TestFailoverInputProperties",
    "TestFailoverJobDetails",
    "TestFailoverProviderSpecificInput",
    "TestMigrateCleanupInput",
    "TestMigrateCleanupInputProperties",
    "TestMigrateInput",
    "TestMigrateInputProperties",
    "TestMigrateProviderSpecificInput",
    "UnplannedFailoverInput",
    "UnplannedFailoverInputProperties",
    "UnplannedFailoverProviderSpecificInput",
    "UpdateApplianceForReplicationProtectedItemInput",
    "UpdateApplianceForReplicationProtectedItemInputProperties",
    "UpdateApplianceForReplicationProtectedItemProviderSpecificInput",
    "UpdateDiskInput",
    "UpdateMigrationItemInput",
    "UpdateMigrationItemInputProperties",
    "UpdateMigrationItemProviderSpecificInput",
    "UpdateMobilityServiceRequest",
    "UpdateMobilityServiceRequestProperties",
    "UpdateNetworkMappingInput",
    "UpdateNetworkMappingInputProperties",
    "UpdatePolicyInput",
    "UpdatePolicyInputProperties",
    "UpdateProtectionContainerMappingInput",
    "UpdateProtectionContainerMappingInputProperties",
    "UpdateRecoveryPlanInput",
    "UpdateRecoveryPlanInputProperties",
    "UpdateReplicationProtectedItemInput",
    "UpdateReplicationProtectedItemInputProperties",
    "UpdateReplicationProtectedItemProviderInput",
    "UpdateVCenterRequest",
    "UpdateVCenterRequestProperties",
    "UserCreatedResourceTag",
    "VCenter",
    "VCenterCollection",
    "VCenterProperties",
    "VMNicDetails",
    "VMNicInputDetails",
    "VMwareCbtContainerCreationInput",
    "VMwareCbtContainerMappingInput",
    "VMwareCbtDiskInput",
    "VMwareCbtEnableMigrationInput",
    "VMwareCbtEventDetails",
    "VMwareCbtMigrateInput",
    "VMwareCbtMigrationDetails",
    "VMwareCbtNicDetails",
    "VMwareCbtNicInput",
    "VMwareCbtPolicyCreationInput",
    "VMwareCbtProtectedDiskDetails",
    "VMwareCbtProtectionContainerMappingDetails",
    "VMwareCbtResumeReplicationInput",
    "VMwareCbtResyncInput",
    "VMwareCbtSecurityProfileProperties",
    "VMwareCbtTestMigrateInput",
    "VMwareCbtUpdateDiskInput",
    "VMwareCbtUpdateMigrationItemInput",
    "VMwareDetails",
    "VMwareV2FabricCreationInput",
    "VMwareV2FabricSpecificDetails",
    "VMwareVirtualMachineDetails",
    "VaultHealthDetails",
    "VaultHealthProperties",
    "VaultSetting",
    "VaultSettingCollection",
    "VaultSettingCreationInput",
    "VaultSettingCreationInputProperties",
    "VaultSettingProperties",
    "VersionDetails",
    "VirtualMachineTaskDetails",
    "VmNicUpdatesTaskDetails",
    "VmmDetails",
    "VmmToAzureCreateNetworkMappingInput",
    "VmmToAzureNetworkMappingSettings",
    "VmmToAzureUpdateNetworkMappingInput",
    "VmmToVmmCreateNetworkMappingInput",
    "VmmToVmmNetworkMappingSettings",
    "VmmToVmmUpdateNetworkMappingInput",
    "VmmVirtualMachineDetails",
    "VmwareCbtPolicyDetails",
    "A2ARecoveryAvailabilityType",
    "A2ARpRecoveryPointType",
    "AgentAutoUpdateStatus",
    "AgentUpgradeBlockedReason",
    "AgentVersionStatus",
    "AlternateLocationRecoveryOption",
    "AutoProtectionOfDataDisk",
    "AutomationAccountAuthenticationType",
    "ChurnOptionSelected",
    "ClusterRecoveryPointType",
    "DataSyncStatus",
    "DisableProtectionReason",
    "DiskAccountType",
    "DiskReplicationProgressHealth",
    "DiskState",
    "EthernetAddressType",
    "ExportJobOutputSerializationType",
    "ExtendedLocationType",
    "FailoverDeploymentModel",
    "FailoverDirection",
    "HealthErrorCategory",
    "HealthErrorCustomerResolvability",
    "HyperVReplicaAzureRpRecoveryPointType",
    "InMageRcmFailbackRecoveryPointType",
    "InMageV2RpRecoveryPointType",
    "LicenseType",
    "LinuxLicenseType",
    "MigrationItemOperation",
    "MigrationRecoveryPointType",
    "MigrationState",
    "MobilityAgentUpgradeState",
    "MultiVmGroupCreateOption",
    "MultiVmSyncPointOption",
    "PlannedFailoverStatus",
    "PossibleOperationsDirections",
    "PresenceStatus",
    "ProtectionHealth",
    "RcmComponentStatus",
    "RecoveryPlanActionLocation",
    "RecoveryPlanGroupType",
    "RecoveryPlanPointType",
    "RecoveryPointSyncType",
    "RecoveryPointType",
    "ReplicationProtectedItemOperation",
    "ResyncState",
    "RpInMageRecoveryPointType",
    "SecurityConfiguration",
    "SecurityType",
    "SetMultiVmSyncStatus",
    "Severity",
    "SourceSiteOperations",
    "SqlServerLicenseType",
    "TestMigrationState",
    "VmEncryptionType",
    "VmReplicationProgressHealth",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
